Index: pjproject/trunk/build.symbian/bld.inf
===================================================================
--- pjproject/trunk/build.symbian/bld.inf	(revision 1416)
+++ pjproject/trunk/build.symbian/bld.inf	(revision 1417)
@@ -2,5 +2,5 @@
 winscw
 //armv5
-gcce
+//gcce
 
 prj_mmpfiles
@@ -14,6 +14,4 @@
 pjsip_simple.mmp
 pjsip_ua.mmp
-pjlib_test.mmp
-sipstateless.mmp
 pjsua_lib.mmp
 null_audio.mmp
Index: pjproject/trunk/build.symbian/makedef.sh
===================================================================
--- pjproject/trunk/build.symbian/makedef.sh	(revision 1416)
+++ pjproject/trunk/build.symbian/makedef.sh	(revision 1417)
@@ -14,13 +14,20 @@
 fi
 
-TARGET=`grep -w TARGET $MMP | awk '{print $2}' | awk -F '.' '{print $1}' | head -1`
+TARGET=`grep -w '^TARGET' $MMP | awk '{print $2}' | awk -F '.' '{print $1}' | head -1`
 DEFFILE="${TARGET}U.def"
-SOURCES=`grep -w SOURCE $MMP | awk '{print $2}' | tr '\\\\' '/'`
-SOURCEPATH=`grep -w SOURCEPATH $MMP | tr '\\\\' '/' | awk '{print $2}'`
-INCPATH=`grep INCLUDE $MMP | awk '{print $2}' | grep pj | tr '\\\\' '/'`
+SOURCES=`grep -w '^SOURCE' $MMP | awk '{print $2}' | tr '\\\\' '/'`
+SOURCEPATH=`grep -w '^SOURCEPATH' $MMP | tr '\\\\' '/' | awk '{print $2}'`
+INCPATH=`grep 'INCLUDE' $MMP | awk '{print $2}' | grep pj | tr '\\\\' '/'`
 INCLUDE=""
 for INC in $INCPATH; do
 	INCLUDE=`echo $INCLUDE -I$INC`
 done
+
+#-- debug --
+#echo TARGET=$TARGET
+#echo SOURCES=$SOURCES
+#echo SOURCEPATH=$SOURCEPATH
+#echo INCLUDE=$INCLUDE
+#-- end --
 
 echo > tmpnames.def
Index: pjproject/trunk/build.symbian/null_audio.mmp
===================================================================
--- pjproject/trunk/build.symbian/null_audio.mmp	(revision 1416)
+++ pjproject/trunk/build.symbian/null_audio.mmp	(revision 1417)
@@ -1,6 +1,23 @@
+#if defined(EKA2)
+
+TARGET		null_audio.dll
+TARGETTYPE	dll
+UID		0x1000008d 0xA0004294
+
+CAPABILITY	None
+LIBRARY		pjlib.lib charconv.lib euser.lib estlib.lib
+MACRO		PJ_DLL
+MACRO		PJ_EXPORTING
+
+DEFFILE		.\null_audio.def
+
+#else
+
 TARGET 		null_audio.lib
 TARGETTYPE 	lib
 UID		0x100039CE 0x10004299
 VENDORID	0x70000001
+
+#endif
 
 SOURCEPATH	..\pjmedia\src\pjmedia
Index: pjproject/trunk/build.symbian/null_audioU.def
===================================================================
--- pjproject/trunk/build.symbian/null_audioU.def	(revision 1417)
+++ pjproject/trunk/build.symbian/null_audioU.def	(revision 1417)
@@ -0,0 +1,12 @@
+EXPORTS
+	pjmedia_snd_deinit                       @ 1 NONAME
+	pjmedia_snd_get_dev_count                @ 2 NONAME
+	pjmedia_snd_get_dev_info                 @ 3 NONAME
+	pjmedia_snd_init                         @ 4 NONAME
+	pjmedia_snd_open                         @ 5 NONAME
+	pjmedia_snd_open_player                  @ 6 NONAME
+	pjmedia_snd_open_rec                     @ 7 NONAME
+	pjmedia_snd_stream_close                 @ 8 NONAME
+	pjmedia_snd_stream_get_info              @ 9 NONAME
+	pjmedia_snd_stream_start                 @ 10 NONAME
+	pjmedia_snd_stream_stop                  @ 11 NONAME
